Workflow Nodes
Workflow Nodes
GET /api/v1/workflows/{workflow_id}/versions/{version_id}/nodes
Get Workflow Nodes
Parameters
| Name | In | Type | Required |
|---|---|---|---|
workflow_id | path | string | true |
version_id | path | string | true |
Response
Type: []WorkflowNode
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
entity_type | string | |
entity_id | string | |
entity_version_id | string | |
config | string | JSON config for node-specific settings |
position | string | JSON string for node position {x, y} |
timeout | int | Execution timeout in seconds |
on_failure | string | Action on failure: “stop”, “continue”, etc. |
user_id | string | |
version_id | string | |
entity_name | string | Read-through access fields (not stored in DB, populated for workflow context) (optional) |
entity_description | string | (optional) |
entity_logo | string | (optional) |
has_direct_access | bool | True if user has explicit share on entity |
model_kind | string | Model-specific read-through fields (for inference UI) (optional) |
model_application_id | string | (optional) |
active_version_id | string | (optional) |
model_versions | []ModelVersion | Version read-through fields (populated for workflow context when user lacks direct access) (optional) |
dataset_versions | []DatasetVersion | (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/nodesPOST /api/v1/workflows/{workflow_id}/versions/{version_id}/nodes
Create Workflow Node
Parameters
| Name | In | Type | Required |
|---|---|---|---|
workflow_id | path | string | true |
version_id | path | string | true |
Request Body
Type: WorkflowNode
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
entity_type | string | |
entity_id | string | |
entity_version_id | string | |
config | string | JSON config for node-specific settings |
position | string | JSON string for node position {x, y} |
timeout | int | Execution timeout in seconds |
on_failure | string | Action on failure: “stop”, “continue”, etc. |
user_id | string | |
version_id | string | |
entity_name | string | Read-through access fields (not stored in DB, populated for workflow context) (optional) |
entity_description | string | (optional) |
entity_logo | string | (optional) |
has_direct_access | bool | True if user has explicit share on entity |
model_kind | string | Model-specific read-through fields (for inference UI) (optional) |
model_application_id | string | (optional) |
active_version_id | string | (optional) |
model_versions | []ModelVersion | Version read-through fields (populated for workflow context when user lacks direct access) (optional) |
dataset_versions | []DatasetVersion | (optional) |
Response
Type: WorkflowNode
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
entity_type | string | |
entity_id | string | |
entity_version_id | string | |
config | string | JSON config for node-specific settings |
position | string | JSON string for node position {x, y} |
timeout | int | Execution timeout in seconds |
on_failure | string | Action on failure: “stop”, “continue”, etc. |
user_id | string | |
version_id | string | |
entity_name | string | Read-through access fields (not stored in DB, populated for workflow context) (optional) |
entity_description | string | (optional) |
entity_logo | string | (optional) |
has_direct_access | bool | True if user has explicit share on entity |
model_kind | string | Model-specific read-through fields (for inference UI) (optional) |
model_application_id | string | (optional) |
active_version_id | string | (optional) |
model_versions | []ModelVersion | Version read-through fields (populated for workflow context when user lacks direct access) (optional) |
dataset_versions | []DatasetVersion | (optional) |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/nodesGET /api/v1/workflows/{workflow_id}/versions/{version_id}/nodes/{id}
Get Workflow Node
Parameters
| Name | In | Type | Required |
|---|---|---|---|
workflow_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Response
Type: WorkflowNode
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
entity_type | string | |
entity_id | string | |
entity_version_id | string | |
config | string | JSON config for node-specific settings |
position | string | JSON string for node position {x, y} |
timeout | int | Execution timeout in seconds |
on_failure | string | Action on failure: “stop”, “continue”, etc. |
user_id | string | |
version_id | string | |
entity_name | string | Read-through access fields (not stored in DB, populated for workflow context) (optional) |
entity_description | string | (optional) |
entity_logo | string | (optional) |
has_direct_access | bool | True if user has explicit share on entity |
model_kind | string | Model-specific read-through fields (for inference UI) (optional) |
model_application_id | string | (optional) |
active_version_id | string | (optional) |
model_versions | []ModelVersion | Version read-through fields (populated for workflow context when user lacks direct access) (optional) |
dataset_versions | []DatasetVersion | (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/nodes/{id}PUT /api/v1/workflows/{workflow_id}/versions/{version_id}/nodes/{id}
Update Workflow Node
Parameters
| Name | In | Type | Required |
|---|---|---|---|
workflow_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Request Body
Type: WorkflowNode
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
entity_type | string | |
entity_id | string | |
entity_version_id | string | |
config | string | JSON config for node-specific settings |
position | string | JSON string for node position {x, y} |
timeout | int | Execution timeout in seconds |
on_failure | string | Action on failure: “stop”, “continue”, etc. |
user_id | string | |
version_id | string | |
entity_name | string | Read-through access fields (not stored in DB, populated for workflow context) (optional) |
entity_description | string | (optional) |
entity_logo | string | (optional) |
has_direct_access | bool | True if user has explicit share on entity |
model_kind | string | Model-specific read-through fields (for inference UI) (optional) |
model_application_id | string | (optional) |
active_version_id | string | (optional) |
model_versions | []ModelVersion | Version read-through fields (populated for workflow context when user lacks direct access) (optional) |
dataset_versions | []DatasetVersion | (optional) |
Response
Type: WorkflowNode
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
entity_type | string | |
entity_id | string | |
entity_version_id | string | |
config | string | JSON config for node-specific settings |
position | string | JSON string for node position {x, y} |
timeout | int | Execution timeout in seconds |
on_failure | string | Action on failure: “stop”, “continue”, etc. |
user_id | string | |
version_id | string | |
entity_name | string | Read-through access fields (not stored in DB, populated for workflow context) (optional) |
entity_description | string | (optional) |
entity_logo | string | (optional) |
has_direct_access | bool | True if user has explicit share on entity |
model_kind | string | Model-specific read-through fields (for inference UI) (optional) |
model_application_id | string | (optional) |
active_version_id | string | (optional) |
model_versions | []ModelVersion | Version read-through fields (populated for workflow context when user lacks direct access) (optional) |
dataset_versions | []DatasetVersion | (optional) |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/nodes/{id}DELETE /api/v1/workflows/{workflow_id}/versions/{version_id}/nodes/{id}
Delete Workflow Node
Parameters
| Name | In | Type | Required |
|---|---|---|---|
workflow_id | path | string | true |
version_id | path | string | true |
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflows/{workflow_id}/versions/{version_id}/nodes/{id}